<?php  
session_start(); 
if(!isset($_SESSION['linkarisecrm']))
	{
		header('Location: index.php');
		return;
	}
$rolemid = $_SESSION['linkariseuserrolemid'];
	include("connect.php");	header("Access-Control-Allow-Origin: *");
	if($_SESSION['linkariseutype'] == 'Admin')
	{
	$eve = "select * from res_inquirymoduleallocation_detail where imatype='Application' group by countrymid";
	}
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$imadid=$rt['imadid'];
				$countrymid=$rt['countrymid'];
				$visatmid=$rt['visatmid'];
				$blockname=$rt['blockname'];
				$subservicemid=$rt['subservicemid'];
																
				
				$eveag1 = "select * from res_country_master where countrymid=$countrymid";
				$reag1 = mysqli_query($conn, $eveag1);
				if(mysqli_num_rows($reag1) > 0)
				{
					while($rtag1 = mysqli_fetch_assoc($reag1))
					{
						$countryname=$rtag1['countryname'];
					}
				}
				else
				{
					$countryname="";
				}
				$blockname1='';
																$subservicename ="";
																			 $eves = "select * from res_inquirymoduleallocation_detail where imatype='Application' and countrymid = $countrymid group by blockname ";
																			$res = mysqli_query($conn, $eves);
																			
																			while($rts = mysqli_fetch_assoc($res))

																			{
																				$blockname = $rts['blockname'];
																				if($blockname1 != '')
						{
						$blockname1 = $blockname1.",".$blockname;
						}else{
							$blockname1 = $blockname;
						}
																			}
																			
																			
						
				
				
				/* $pidedit='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='traningmoduleedit.php?id=".$rt['imadid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				}
				
				$pidview='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maview=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidview="<a href='traningmoduledoctypedetail.php?id=".$rt['imadid']."' data-toggle='tooltip' data-placement='top' title='Edit' > View </a>";
				
				
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				
				
					}				
                
					 */			
					$piddelete='';			
				/* $piddelete="<a href='servicewiseinquiryblockallocation.php?id=".$rt['imadid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>"; */
				$op=$piddelete;
								
				$posts[] = array('srno'=> $i++, 'countryname'=> $countryname, 'blockname'=> $blockname1, 'op'=> $op);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>